Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class SystemModelRepository

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.repository.AbstractRepository
              kieker.tools.traceAnalysis.systemModel.repository.SystemModelRepository

All Implemented Interfaces:
  IAnalysisComponent, IRepository

    public class SystemModelRepository

extends AbstractRepository

This repository is a model manager for the Kieker's component model. It consists of multiple "sub"repositories.

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static Execution` | `ROOT_EXECUTION`
`static String` | `ROOT_NODE_LABEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`SystemModelRepository(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`AllocationRepository` | `getAllocationFactory()`
`AllocationComponentOperationPairFactory` | `getAllocationPairFactory()`
`AssemblyRepository` | `getAssemblyFactory()`
`AssemblyComponentOperationPairFactory` | `getAssemblyPairFactory()`
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`ExecutionEnvironmentRepository` | `getExecutionEnvironmentFactory()`
`OperationRepository` | `getOperationFactory()` Delivering the factory managing the available operations.
`TypeRepository` | `getTypeRepositoryFactory()` Delivering the factory managing the available component types.
`void` | `saveSystemToHTMLFile(String outputFn)` Writes the contents of this system model to an HTML file.

Methods inherited from class kieker.analysis.repository.AbstractRepository
`getRepositoryDescription, getRepositoryName`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.analysisComponent.IAnalysisComponent
`getName`

Field Detail

### ROOT_EXECUTION

    public static final Execution ROOT_EXECUTION

### ROOT_NODE_LABEL

    public static final String ROOT_NODE_LABEL

See Also:
  Constant Field Values

Constructor Detail

### SystemModelRepository

    public SystemModelRepository(Configuration configuration,
                                 IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration to use for this repository.
    `projectContext` - The project context to use for this repository.

Method Detail

### getAllocationFactory

    public final AllocationRepository getAllocationFactory()

### getAssemblyFactory

    public final AssemblyRepository getAssemblyFactory()

### getExecutionEnvironmentFactory

    public final ExecutionEnvironmentRepository getExecutionEnvironmentFactory()

### getOperationFactory

    public final OperationRepository getOperationFactory()

  Delivering the factory managing the available operations.

  Returns:
    The operation factory.

### getTypeRepositoryFactory

    public final TypeRepository getTypeRepositoryFactory()

  Delivering the factory managing the available component types.

  Returns:
    The types factory.

### getAllocationPairFactory

    public AllocationComponentOperationPairFactory getAllocationPairFactory()

### getAssemblyPairFactory

    public AssemblyComponentOperationPairFactory getAssemblyPairFactory()

### saveSystemToHTMLFile

    public void saveSystemToHTMLFile(String outputFn)
                              throws FileNotFoundException,
                                     UnsupportedEncodingException

  Writes the contents of this system model to an HTML file.

  Parameters:
    `outputFn` - file system location of the output file (as accepted by `File.File(String)`).
  Throws:
    `FileNotFoundException` - If the given file is somehow invalid.
    `UnsupportedEncodingException` - If the used default encoding is not supported.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  Description copied from class: `AbstractAnalysisComponent`
  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net